# Packmangroup: Libraries
# Packmanpackagename: ETL
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>VoriaETL is a multiplatform class and template library designed to complement and supplement the C++ STL.</p>
# Packmanpackagedesc_de: <p>VoriaETL ist eine Multiplattform Klassen- und Template-Bibliothek, designed um die C++ STL zu komplettieren und zu erweitern.</p>

# norootforbuild

Name:           ETL-devel
Summary:        Voria Extended Class and Template Library
Summary(de):    Voria Erweiterete Klassen- and Template-Bibliothek
Version:        0.04.17
Release:        1.2
Group:          Development/Libraries/C and C++
License:        GPL v2 or later
URL:            http://synfig.org
Source0:        ETL-%{version}.tar.bz2
BuildRequires:  libtool
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  gettext-devel
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel
BuildRequires:  shared-mime-info
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       pkgconfig(ETL)

%description
VoriaETL is a multiplatform class and template library
designed to complement and supplement the C++ STL.

%description -l de
VoriaETL ist eine Multiplattform Klassen- und Template-Bibliothek,
designed um die C++ STL zu komplettieren und zu erweitern.



%prep
%setup -n ETL-%{version}

%build
if [ ! -f configure ]; then
   autoreconf --install --force
fi
%configure
%{__make} %{?jobs:-j%{jobs}}

%install
%{makeinstall}
rm -rf test/.deps

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc NEWS README test
%{_bindir}/ETL-config
%{_includedir}/*
%{_libdir}/pkgconfig/ETL.pc

%changelog
* Tue Nov  5 2013 obs@botter.cc
- update to 0.04.17
* Sun Apr 15 2012 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.04.15-0
- update to 0.04.15
* Sat Jun 11 2011 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.04.14-0.pm.1
- update to 0.04.14 (git logout, because there's no source tarball)
* Wed Nov  4 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.04.13-0.pm.1
- update to 0.04.13
* Sat Sep  5 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.04.12-1.pm.1
- cleanups where rpmlint wasn't so happy
* Sat Oct 25 2008 Manfred.Tremmel@iiv.de
- update to 0.04.12
* Tue Mar  4 2008 Manfred.Tremmel@iiv.de
- update to 0.04.11
* Sat Feb 23 2008 Manfred.Tremmel@iiv.de
- update to svn (Revision 1808), because off security reasons
* Fri Oct 12 2007 Manfred.Tremmel@iiv.de
- update to 0.04.10
* Sat Jun 23 2007 Manfred.Tremmel@iiv.de
- update to 0.04.09
* Sun Dec 24 2006 Manfred.Tremmel@iiv.de
- update to svn (Revision 229), seems, a lot of bugs where fixed inbetween
* Wed Mar  1 2006 Manfred.Tremmel@iiv.de
- update to 0.04.08
* Thu Dec 15 2005 Manfred.Tremmel@iiv.de
- first packman build, based on the spec-file
  from Robert B. Quattlebaum Jr. <darco@bigfoot.com>
